Bug 1015238 - Firefox no start
Firefox no start
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-10-03 13:33 EDT by Alex Irmel Oviedo Solis
Modified: 2017-02-13 08:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-12-16 09:14:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alex Irmel Oviedo Solis 2013-10-03 13:33:44 EDT
Description of problem:
Starting Firefox from a gnome-terminal results in:
XPCOMGlueLoad error for file /usr/lib/firefox/xulrunner/libxul.so:
/usr/lib/firefox/xulrunner/libxul.so: symbol _ZN2js13FunctionClassE, version mozjs not defined in file libmozjs.so with link time reference
Couldn't load XPCOM.

Version-Release number of selected component (if applicable):
firefox.i686                   24.0-1.fc20          @fedora

How reproducible:
Don't know, tried once

Steps to Reproduce:
1. Run Firefox from gnome-terminal

Actual results:
Error message as noted, firefox not started

Expected results:
Firefox running

Additional info:
Comment 1 Martin Stransky 2013-10-11 09:45:38 EDT
Which xurunner package do you have installed? ($rpm -q xulrunner). Can you try to start it in safe mode? (see https://fedoraproject.org/wiki/How_to_debug_Firefox_problems)
Comment 2 Martin Stransky 2013-12-16 09:14:00 EST
Please reopen if you still see it. Thanks!

Note You need to log in before you can comment on or make changes to this bug.